POST /katello/api/alternate_content_sources
{
"name": "Deb Simplified ACS_bad",
"smart_proxy_ids": [
767380118
],
"content_type": "deb",
"alternate_content_source_type": "simplified",
"product_ids": [
785257261
],
"verify_ssl": true,
"base_url": "https://should/not/be/here",
"alternate_content_source": {
"name": "Deb Simplified ACS_bad",
"base_url": "https://should/not/be/here",
"content_type": "deb",
"alternate_content_source_type": "simplified",
"verify_ssl": true,
"smart_proxy_ids": [
767380118
],
"product_ids": [
785257261
]
}
}
422
{
"message": "Base URL must be blank and Verify ssl cannot be provided for simplified ACS",
"errors": {
"base_url": [
"must be blank"
],
"verify_ssl": [
"cannot be provided for simplified ACS"
]
},
"full_messages": [
"Base URL must be blank",
"Verify ssl cannot be provided for simplified ACS"
]
}
| Param name | Description |
|---|---|
|
content_type
optional |
The content type for the Alternate Content Source Validations:
|
|
alternate_content_source_type
optional |
The Alternate Content Source type Validations:
|
|
name
optional |
Name of the alternate content source Validations:
|
|
description
optional |
Description for the alternate content source Validations:
|
|
base_url
optional |
Base URL for finding alternate content Validations:
|
|
subpaths
optional |
Path suffixes for finding alternate content Validations:
|
|
deb_releases
optional |
Debian releases/distributions (e.g., trixie, bookworm) Validations:
|
|
deb_components
optional |
Debian components (e.g., main, contrib) Validations:
|
|
deb_architectures
optional |
Debian architectures (e.g., amd64, arm64) Validations:
|
|
smart_proxy_ids
optional |
Ids of smart proxies to associate Validations:
|
|
smart_proxy_names
optional |
Names of smart proxies to associate Validations:
|
|
upstream_username
optional |
Basic authentication username Validations:
|
|
upstream_password
optional |
Basic authentication password Validations:
|
|
ssl_ca_cert_id
optional |
Identifier of the content credential containing the SSL CA Cert Validations:
|
|
ssl_client_cert_id
optional |
Identifier of the content credential containing the SSL Client Cert Validations:
|
|
ssl_client_key_id
optional |
Identifier of the content credential containing the SSL Client Key Validations:
|
|
verify_ssl
optional |
If SSL should be verified for the upstream URL Validations:
|
|
use_http_proxies
optional |
If the smart proxies’ assigned HTTP proxies should be used Validations:
|
|
product_ids
optional |
IDs of products to copy repository information from into a Simplified Alternate Content Source. Products must include at least one repository of the chosen content type. Validations:
|